Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis.type.java5
Class AnnotatedTypeInfo

    java.lang.Object
      org.codehaus.xfire.aegis.type.basic.BeanTypeInfo
          org.codehaus.xfire.aegis.type.java5.AnnotatedTypeInfo

    public class AnnotatedTypeInfo

extends BeanTypeInfo

Constructor Summary
`AnnotatedTypeInfo(TypeMapping tm, java.lang.Class typeClass)`

Method Summary
`protected java.lang.String` | `createMappedName(java.beans.PropertyDescriptor desc)` Specifies the name of the property as it shows up in the xml schema.
`protected javax.xml.namespace.QName` | `createQName(java.beans.PropertyDescriptor desc)`
`protected boolean` | `isAnnotatedElement(java.beans.PropertyDescriptor desc)`
`protected boolean` | `isAttribute(java.beans.PropertyDescriptor desc)`
`protected boolean` | `isElement(java.beans.PropertyDescriptor desc)`
`boolean` | `isNillable(java.lang.String name)`

Methods inherited from class org.codehaus.xfire.aegis.type.basic.BeanTypeInfo
`getAttributes, getElements, getPropertyDescriptor, getPropertyDescriptorFromMappedName, getPropertyDescriptors, getType, getTypeClass, getTypeMapping, initialize, isInitialized, isSerializable, mapAttribute, mapElement, mapProperty, mapType, mapTypeName, setTypeMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotatedTypeInfo

    public AnnotatedTypeInfo(TypeMapping tm,
                             java.lang.Class typeClass)

Method Detail

### isAttribute

    protected boolean isAttribute(java.beans.PropertyDescriptor desc)

  Overrides:
    `isAttribute` in class `BeanTypeInfo`

### isElement

    protected boolean isElement(java.beans.PropertyDescriptor desc)

  Overrides:
    `isElement` in class `BeanTypeInfo`

### isAnnotatedElement

    protected boolean isAnnotatedElement(java.beans.PropertyDescriptor desc)

### createMappedName

    protected java.lang.String createMappedName(java.beans.PropertyDescriptor desc)

  Description copied from class: `BeanTypeInfo`
  Specifies the name of the property as it shows up in the xml schema. This method just returns `propertyDescriptor.getName();`

  Overrides:
    `createMappedName` in class `BeanTypeInfo`
  Returns:

### createQName

    protected javax.xml.namespace.QName createQName(java.beans.PropertyDescriptor desc)

### isNillable

    public boolean isNillable(java.lang.String name)

  Overrides:
    `isNillable` in class `BeanTypeInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.